cancel
Showing results for 
Search instead for 
Did you mean: 

MORE WordPress Upgrade issues

golfy
Newbie
Posts: 8
Registered: ‎13-04-2011

MORE WordPress Upgrade issues

I am a virtual newby to website maintenance but I am in IT support - mainly networking, servers & history of programming!
I 've inherited a website that was created by someone who's disappeared from the planet & left it maintained by a complete novice
The novice used to update the 'latest news' OK via Wordpress but one day in february he saw the 'New version of Wordpress' button & pressed it!!
Since then we've been unable to login to Wordpress at all - the website still works OK (but of course it's well out of date by now!)
Browsing to //site/wordpress/wp-admin just returns 'Premature end of script headers: index.php  Error 500'
I've trawled the topics on this site...
Can't find a .htaccess file anywhere (I did set CuteFTP option to -a)
Tried Gabe's cgi script to set permissions - it just came back & said IE could not display the web page
Looking at folder protections they seem to be mainly 755 or 750 anyway
Any ideas anyone please ??????
2 REPLIES 2
spraxyt
Superuser
Superuser
Posts: 10,063
Thanks: 1,370
Fixes: 75
Registered: ‎06-04-2007

Re: MORE WordPress Upgrade issues

If WordPress automatic update is used the updated PHP files will almost certainly have permissions 644 and functionality will be lost until the proper permissions are restored. Gabe's script - but incorporating the WordPress "uploads" directory permissions modification - provides an easy way to do that.
Did you upload Gabe's script as ASCII or binary? I've an idea CuteFTP defaults to the latter but it must be uploaded as ASCII.
And once uploaded set its permissions to 700, then browse to it.
David
golfy
Newbie
Posts: 8
Registered: ‎13-04-2011

Re: MORE WordPress Upgrade issues

Thankyou very much !!! We are back in business!!!
Forcing Cuteftp to transfer in ASCII seemed to do the trick
Grin Grin